Suffix list test
diff --git a/tests/playTests.sh b/tests/playTests.sh
index 200de4b..e2dbccb 100755
--- a/tests/playTests.sh
+++ b/tests/playTests.sh
@@ -620,6 +620,23 @@
$ECHO "lz4 mode not supported"
fi
+$ECHO "\n===> suffix list test"
+
+$ZSTD -d tmp.abc 2> tmplg || echo
+
+if [ $GZIPMODE -ne 1 ]; then
+ grep ".gz" tmplg > $INTOVOID && die "Unsupported suffix listed"
+fi
+
+if [ $LZMAMODE -ne 1 ]; then
+ grep ".lzma" tmplg > $INTOVOID && die "Unsupported suffix listed"
+ grep ".xz" tmplg > $INTOVOID && die "Unsupported suffix listed"
+fi
+
+if [ $LZ4MODE -ne 1 ]; then
+ grep ".lz4" tmplg > $INTOVOID && die "Unsupported suffix listed"
+fi
+
$ECHO "\n===> zstd round-trip tests "
roundTripTest